## dopewars 1.5.3

=== win32/Makefile ===
all: setup makeinstall uninstall

clean:
	/bin/rm -f *.o *.res uninstall.exe setup.exe makeinstall.exe core *~
	/bin/rm -f installfiles.gz manifest

setup: setup.o util.o guifunc.o setup.res
	gcc -Wall -mno-cygwin -mwindows -o setup setup.o util.o guifunc.o setup.res zlib/libz.a -lcomctl32 -lole32 -luuid
	strip setup.exe

uninstall: uninstall.o util.o guifunc.o uninstall.res
	gcc -Wall -mno-cygwin -mwindows -o uninstall uninstall.o util.o guifunc.o uninstall.res 
	strip uninstall.exe

uninstall.o: uninstall.c util.h guifunc.h
	gcc -Wall -mno-cygwin -c uninstall.c

uninstall.res: uninstall.rc
	windres -O coff -o uninstall.res uninstall.rc

setup.o: setup.c contid.h util.h guifunc.h
	gcc -Wall -mno-cygwin -c setup.c

util.o: util.c util.h
	gcc -Wall -mno-cygwin -c util.c

guifunc.o: guifunc.c guifunc.h
	gcc -Wall -mno-cygwin -c guifunc.c

manifest installfiles.gz: filelist makeinstall uninstall
	./makeinstall

setup.res: setup.rc dialogs.rc contid.h manifest installfiles.gz
	windres -O coff -o setup.res setup.rc

makeinstall: makeinstall.o util.o
	gcc -Wall -mno-cygwin -o makeinstall makeinstall.o util.o zlib/libz.a

makeinstall.o: makeinstall.c util.h
	gcc -Wall -mno-cygwin -c makeinstall.c

## dopewars 1.5.12

=== win32/Makefile ===
# Use these flags to use libbz2 for compression
#LIBZ      = bzlib/libbz2.a
#COMPFLAGS = -DLIBBZ2

# Use these flags to use libz for compression
LIBZ      = zlib/libz.a
COMPFLAGS =

CFLAGS = -Wall -mno-cygwin ${COMPFLAGS}

all: setup makeinstall uninstall

clean:
	/bin/rm -f *.o *.res uninstall.exe setup.exe makeinstall.exe core *~
	/bin/rm -f installfiles.z manifest

setup: setup.o util.o guifunc.o setup.res
	gcc ${CFLAGS} -mwindows -o setup setup.o util.o guifunc.o setup.res ${LIBZ} -lcomctl32 -lole32 -luuid
	strip setup.exe

uninstall: uninstall.o util.o guifunc.o uninstall.res
	gcc ${CFLAGS} -mwindows -o uninstall uninstall.o util.o guifunc.o uninstall.res 
	strip uninstall.exe

uninstall.o: uninstall.c util.h guifunc.h
	gcc ${CFLAGS} -c uninstall.c

uninstall.res: uninstall.rc
	windres -O coff -o uninstall.res uninstall.rc

setup.o: setup.c contid.h util.h guifunc.h
	gcc ${CFLAGS} -c setup.c

util.o: util.c util.h
	gcc ${CFLAGS} -c util.c

guifunc.o: guifunc.c guifunc.h
	gcc ${CFLAGS} -c guifunc.c

manifest installfiles.z: filelist makeinstall uninstall
	sed -e 's/LICENCE/licence.txt/' < ../doc/index.html > index.html
	sed -e 's/LICENCE/licence.txt/' < ../doc/developer.html > developer.html
	sed -e 's/example-cfg/example-cfg.txt/' < ../doc/configfile.html > configfile.html
	awk '{gsub(/\f/, ""); print $$0."\r"}' < ../LICENCE > licence.txt
	awk '{print $$0."\r"}' < ../README > readme.txt
	awk '{print $$0."\r"}' < ../doc/example-cfg > example-cfg.txt
	./makeinstall
	/bin/rm -f index.html configfile.html developer.html licence.txt
	/bin/rm -f example-cfg.txt readme.txt

setup.res: setup.rc dialogs.rc contid.h manifest installfiles.z
	windres -O coff -o setup.res setup.rc

makeinstall: makeinstall.o util.o
	gcc ${CFLAGS} -o makeinstall makeinstall.o util.o ${LIBZ}

makeinstall.o: makeinstall.c util.h
	gcc ${CFLAGS} -c makeinstall.c

=== debian/changelog ===
dopewars (1.5.12-14) unstable; urgency=low

  * Team upload.
  * properly find the default automake path instead of hardcoding it
    Closes: #713188

 -- Evgeni Golov <evgeni@debian.org>  Fri, 06 Sep 2013 18:49:39 +0200

dopewars (1.5.12-13) unstable; urgency=low

  * Created quilt patches for locally changed files and reverted
    the changed files to their source originals.
  * Add patch to remove the libtool macro's to stop the libtool
    version mismatch error when using dh-autoreconf. 
  * Removed executable permission from the patch files.
  * Bump compat to 9 to automatically get hardening buildflags.
  * Add patches to fix two -Werror=format-security errors.
  * Add my self to Uploaders. (Closes: #657575)
  * Bump Standards-Version to 3.9.3 with out change. 
  * Modify the Build-depends for the simplified rules file and
    autoreconf.
  * Rewrite with a simplified debhelper v9 rules file. 
    (Closes: #643097)
  * Use 'clean' to remove unnecessary files.
  * Install files with *.install files now we are using a simplified
    rules file.
  * Install the manpage with dopewars.manpages.
  * Add a patch to correct the path to the score file in the manpage.
    (Closes: #642073)
  * Tidied formatting with wrap-and-sort -s.

 -- Dean Evans <dean@codemonkies.net>  Mon, 12 Mar 2012 19:57:31 +1300

dopewars (1.5.12-12) unstable; urgency=low

  * Remove myself from the uploaders field
  * Remove unnecessary breaks/replaces from debian/control

 -- Francois Marier <francois@debian.org>  Sat, 12 Mar 2011 12:50:26 +1300

dopewars (1.5.12-11) unstable; urgency=low

  * Remove old conflicts on suidmanager
  * Replace Conflicts/Replaces with Breaks/Replaces (lintian notice)
  * Add a doc-base entry for the dopewars manual

  * Bump Standards-Version up to 3.9.1
  * Bump debhelper compatibility to 8

 -- Francois Marier <francois@debian.org>  Wed, 22 Dec 2010 16:04:52 +1300

dopewars (1.5.12-10) unstable; urgency=low

  * Bump Standards-Version to 3.8.4
  * Add dependency on ${misc:Depends}

  * Switch to 3.0 (quilt) source format
  * Remove dpatch
  * Convert patches to DEP-3

 -- Francois Marier <francois@debian.org>  Thu, 11 Feb 2010 09:28:22 +1300

dopewars (1.5.12-9) unstable; urgency=high

  * Fix a denial of service (CVE-2009-3591, closes: #550913)
  * debian/control: bump Standards-Version to 3.8.3
  * Add a README.source referring to the dpatch README

 -- Francois Marier <francois@debian.org>  Sat, 07 Nov 2009 16:53:46 +1300

dopewars (1.5.12-8) unstable; urgency=low

  * Add patch fixing buy/sell quantities (closes: #526235)
  * Improve short description of package
  * debian/control: switch VCS from svn to git
  * debian/control: bump Standards-Version to 3.8.2
  * debian/copyright: refer to GPL-2 directly
  * Bump debhelper compatibility to 7: use dh_prep and remove dh_desktop

 -- Francois Marier <francois@debian.org>  Mon, 29 Jun 2009 00:10:49 +1200

dopewars (1.5.12-7) unstable; urgency=medium

  * Create the score file in the postinst only if it doesn't already exist.
    This preserves the scores between upgrades (hence the urgency) and
    fixes the md5sums problem (closes: #222846)
  * Remove linda and lintian override files
  * Bump Standards-Version up to 3.8.0 (no other changes)

 -- Francois Marier <francois@debian.org>  Tue, 17 Jun 2008 15:05:50 +1200

dopewars (1.5.12-6) unstable; urgency=low

  * Switch to collaborative maintenance with the Games Team
    (update vcs, maintainer and uploader fields)

 -- Francois Marier <francois@debian.org>  Sat, 26 Apr 2008 15:01:17 +1200

dopewars (1.5.12-5) unstable; urgency=low

  * debian/rules: add call to dh_desktop
  * Add a new modern drug to the game (closes: #469032)

 -- Francois Marier <francois@debian.org>  Mon, 21 Apr 2008 23:09:03 +1200

dopewars (1.5.12-4) unstable; urgency=low

  * Add pulseaudio-esound-compat as an alternative to esound
  * Move the menu file to the right place
  * Remove Encoding from the desktop file
  * Make a dopewars-data package for arch-independent files

 -- Francois Marier <francois@debian.org>  Tue, 26 Feb 2008 16:55:27 +1300

dopewars (1.5.12-3) unstable; urgency=low

  * Add the homepage and VCS fields to debian/control
  * Bump Standards-Version to 3.7.3 and debhelper compatibility to 6
  * Update the watch file to point to sf.net and add a dversionmangle
    option (closes: #449851)
  * Fix the typo in the download URL in debian/copyright
  * Sync fr_CA.po with Rosetta
    (http://translations.launchpad.net/ubuntu/breezy/+source/dopewars/+p
    ots/dopewars/fr_CA/)
  * Add "esound" to the recommends list and make a note in README.Debian
    (closes: #412411)
  * New German translation from upstream svn
  * Check for the existence of the Makefile in debian/rules
  * Remove rpath from the binaries

 -- Francois Marier <francois@debian.org>  Tue, 05 Feb 2008 15:19:18 +1300

dopewars (1.5.12-2) unstable; urgency=low

  * Set the default web browser to sensible-browser
  * Remove the misc:depends dependencies

 -- Francois Marier <francois@debian.org>  Thu, 19 Jan 2006 00:30:22 -0500

dopewars (1.5.12-1) unstable; urgency=low

  * New upstream release (closes: #336347)

 -- Francois Marier <francois@debian.org>  Wed,  4 Jan 2006 23:30:06 -0500

dopewars (1.5.10-4) unstable; urgency=low

  * Bump Standards-Version up to 3.6.2 (no changes)
  * Fix FSF address
  * Fix watch file

 -- Francois Marier <francois@debian.org>  Sat, 26 Nov 2005 00:19:06 -0500

dopewars (1.5.10-3) unstable; urgency=low

  * Update german translation (closes: #314129)
  * Add watch file
  * Rename menu to dopewars.menu

 -- Francois Marier <francois@debian.org>  Sun, 19 Jun 2005 22:06:36 -0400

dopewars (1.5.10-2) unstable; urgency=medium

  * Fixed a lintian warning
  * Cleaned-up acinclude.m4 and ran autoreconf (Closes: #279288) 

 -- Francois Marier <francois@debian.org>  Fri,  5 Nov 2004 01:23:14 -0500

dopewars (1.5.10-1) unstable; urgency=high

  * New upstream version:
    - Fixed a server DOS


=== debian/control ===
Source: dopewars
Section: games
Priority: extra
Build-Depends:
 automake,
 debhelper (>= 9),
 dh-autoreconf,
 libaudiofile-dev,
 libesd0-dev,
 libglib2.0-dev,
 libgtk2.0-dev,
 libncurses5-dev,
 libsdl1.2-dev,
 pkg-config
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dean Evans <dean@codemonkies.net>
Standards-Version: 3.9.3
Homepage: http://dopewars.sourceforge.net
Vcs-git: git://git.debian.org/git/pkg-games/dopewars.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/dopewars.git

Package: dopewars
Architecture: any
Depends: dopewars-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: pulseaudio-esound-compat | esound
Description: drug-dealing game set in streets of New York City
 UNIX rewrite of the MS-DOS program of the same name, which in turn was
 inspired by John E. Dell's "Drug Wars" game. You have one month to buy and
 sell drugs on the streets of New York, the aim being first to pay off your
 debt to the loan shark and then to make a fortune. And if you have to shoot
 a few cops in the process, well... The game includes TCP networking allowing
 you to meet (and shoot) other human drug dealers.

Package: dopewars-data
Architecture: all
Depends: ${misc:Depends}
Description: drug-dealing game set in streets of New York City - data files
 UNIX rewrite of the MS-DOS program of the same name, which in turn was
 inspired by John E. Dell's "Drug Wars" game. You have one month to buy and
 sell drugs on the streets of New York, the aim being first to pay off your
 debt to the loan shark and then to make a fortune. And if you have to shoot
 a few cops in the process, well... The game includes TCP networking allowing
 you to meet (and shoot) other human drug dealers.
 .
 This package contains the required data files common to all architectures.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --datadir=/usr/share --bindir=/usr/games --localstatedir=/var/games --libdir=/usr/lib --libexecdir=/usr/lib

override_dh_autoreconf:
	cp -f $(shell automake --print-libdir)/mkinstalldirs .
	dh_autoreconf

override_dh_autoreconf_clean:
	rm -f mkinstalldirs
	dh_autoreconf_clean

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/dopewars-data/usr/share/doc/dopewars/html/LICENCE
	rm -rf $(CURDIR)/debian/dopewars/var

override_dh_fixperms:
	dh_fixperms
	chgrp games $(CURDIR)/debian/dopewars/usr/games/dopewars
	chmod 2755 $(CURDIR)/debian/dopewars/usr/games/dopewars

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/dopewars

%:
	dh $@ --with autoreconf --parallel

=== debian/watch ===
version=3

opts=dversionmangle=s/\+svn\d+// \
  http://sf.net/dopewars/dopewars-([\d.]*).tar.gz

## dopewars 1.5.12-7maemo1

=== debian/changelog ===
dopewars (1.5.12-7maemo1) unstable; urgency=low

  * Use debhelper 5 rather than 6 (debian/changelog, debian/compat)
  * Dopewars package section changed to user/games from games
  * New maintainer for Maemo port
  * Recommends: line removed as esd is a default system component on Maemo
  * Readme.debian removed as it contains irrelevant information in regards to Maemo
  * Menu (not desktop) file removed
  * Removed things pertaining to games group
  * Desktop file installed to applications/hildon rather than applications
  * State not saved in var
  * Binary installed to /usr/bin, not /usr/games
  * Removed setuid crap. For the love of God, WHY?!
  * DPSCOREDIR set to be /home/user/.dopewars

 -- Faheem Pervez <trippin1@gmail.com>  Thu, 18 Dec 2008 17:44:38 +0000

=== debian/control ===
Source: dopewars
Priority: optional
Build-Depends: libgtk2.0-dev, libglib2.0-dev, pkg-config, libncurses5-dev, debhelper (>= 5), libsdl1.2-dev, libesd0-dev, autotools-dev, libaudiofile-dev, chrpath, libhildon1-dev
Maintainer: Faheem Pervez <trippin1@gmail.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
XSBC-Original-Uploaders: Francois Marier <francois@debian.org>
Standards-Version: 3.8.0
Homepage: http://dopewars.sourceforge.net
Vcs-svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/dopewars/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/dopewars/?op=log

Package: dopewars
Architecture: any
Section: user/games
Depends: ${shlibs:Depends}, dopewars-data (= ${source:Version})
Conflicts: suidmanager (<< 0.50)
Description: Make a fortune dealing drugs on the streets of New York
 UNIX rewrite of the MS-DOS program of the same name, which in turn was
 inspired by John E. Dell's "Drug Wars" game. You have one month to buy and
 sell drugs on the streets of New York, the aim being first to pay off your
 debt to the loan shark and then to make a fortune. And if you have to shoot
 a few cops in the process, well... The game includes TCP networking allowing
 you to meet (and shoot) other human drug dealers.
XB-Maemo-Display-Name: Dopewars
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABkAAAAaBAMAAACwU+r+AAAAAXNSR0IArs4c6QAAABVQTFRF
 AP//AAAAoAAAAID//wAAQKD/////04IRxQAAAAF0Uk5TAEDm2GYAAAABYktHRACIBR1IAAAA
 CXBIWXMAAA7BAAAOwQG4kWvtAAAAB3RJTUUH2AwTBzEb/JL5SQAAAExJREFUGNNjYKA9YBSE
 ARBPycXFxck0NDQ02ICBgckNxgsNRueJpMB5oQIMIi64eUxQnmAgSB+jCoQXGBhqCLRPSAkI
 jEFAAMMt9AUAELccEpFrVjwAAAAASUVORK5CYII=

Package: dopewars-data
Architecture: all
Section: games
Depends: dopewars (>= ${source:Version})
Replaces: dopewars (<< 1.5.12-4)
Conflicts: suidmanager (<< 0.50), dopewars (<< 1.5.12-4)
Description: Data files for dopewars
 UNIX rewrite of the MS-DOS program of the same name, which in turn was
 inspired by John E. Dell's "Drug Wars" game. You have one month to buy and
 sell drugs on the streets of New York, the aim being first to pay off your
 debt to the loan shark and then to make a fortune. And if you have to shoot
 a few cops in the process, well... The game includes TCP networking allowing
 you to meet (and shoot) other human drug dealers.
 .
 This package contains the required data files common to all architectures.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export SED=sed # work-around for broken libtool

# Stuff taken from autotools-dev
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build $(DEB_HOST_GNU_TYPE)
else
	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

build: configure build-stamp
build-stamp:
	dh_testdir

	./configure $(confflags) --prefix=/usr --localstatedir=/home/user/.dopewars
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f intl/libintl.h
	rm -f po/*.gmo

	[ ! -f Makefile ] || $(MAKE) distclean
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

#       Update config.sub and config.guess
	-test -r /usr/share/misc/config.sub && \
		cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
		cp -f /usr/share/misc/config.guess config.guess

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/dopewars
	rm -rf $(CURDIR)/debian/dopewars/home
	mv $(CURDIR)/debian/dopewars/usr/share/ $(CURDIR)/debian/dopewars-data/usr/

	mkdir -p $(CURDIR)/debian/dopewars/usr/share/applications/hildon
	cp $(CURDIR)/dopewars.desktop $(CURDIR)/debian/dopewars/usr/share/applications/hildon

	install -d $(CURDIR)/debian/dopewars/usr/share/icons/hicolor/26x26/hildon/
	install -d $(CURDIR)/debian/dopewars/usr/share/icons/hicolor/40x40/hildon/
	install -d $(CURDIR)/debian/dopewars/usr/share/icons/hicolor/scalable/hildon/

	install -m 644 $(CURDIR)/debian/26x26.png $(CURDIR)/debian/dopewars/usr/share/icons/hicolor/26x26/hildon/dopewars-pill.png
	install -m 644 $(CURDIR)/debian/40x40.png $(CURDIR)/debian/dopewars/usr/share/icons/hicolor/40x40/hildon/dopewars-pill.png
	install -m 644 $(CURDIR)/debian/64x64.png $(CURDIR)/debian/dopewars/usr/share/icons/hicolor/scalable/hildon/dopewars-pill.png

	rm -rf $(CURDIR)/debian/dopewars-data/usr/share/gnome
	rm $(CURDIR)/debian/dopewars-data/usr/share/doc/dopewars/html/LICENCE

	chmod -x $(CURDIR)/debian/dopewars/usr/lib/dopewars/*.so
	chrpath -d $(CURDIR)/debian/dopewars/usr/bin/dopewars
	chrpath -d $(CURDIR)/debian/dopewars/usr/lib/dopewars/*

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman doc/dopewars.6
	rm -rf debian/dopewars/usr/man
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	chown root:root debian/dopewars/usr/bin/dopewars
	chmod 755 debian/dopewars/usr/bin/dopewars
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## dopewars 1.6.1

=== debian/changelog ===
dopewars (1.6.1-1) unstable; urgency=medium

  * Team upload.

  [ Niels Thykier ]
  * Declare the explicit requirement for (fake)root.

  [ Reiner Herrmann ]
  * New upstream release.
  * Drop patches applied upstream and refresh patches.
  * Install .desktop file to correct directory.
  * Update paths to documentation and manpages.
  * Update watch file to version 4.
  * Add upstream metadata.
  * d/control:
    - Move Vcs-* URLs to salsa
    - Depend on sensible-utils for sensible-browser
    - Update to debhelper compat level 13
    - Build with GTK3 and SDL2 (Closes: #967316)
    - Bump Standards-Version to 4.6.1; no change needed
    - Mark dopewars-data as Multi-Arch: foreign
    - Build-depend on libcurl4-gnutls-dev for metaserver support
  * d/rules:
    - Simplify targets
    - Enable all hardening options
    - Drop -Wl,--as-needed, which is enabled by default

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 09 Jun 2022 11:41:20 +0200

dopewars (1.5.12-19) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * Set priority from extra to optional.
  * Drop libaudiofile-dev from Build-Depends. (Closes: #857671)
  * Drop esd support.
    Thanks to Felipe Sateler for the patch. (Closes: #633392)
  * Drop deprecated menu file and xpm icon.
  * Remove README.Debian.
  * Declare compliance with Debian Policy 4.1.2.
  * export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
  * Build-Depend on libsdl-mixer1.2-dev.

 -- Markus Koschany <apo@debian.org>  Tue, 05 Dec 2017 18:07:35 +0100

dopewars (1.5.12-18) unstable; urgency=medium

  * Team upload.
  * Build dopewars with --no-parallel option. (Closes: #857801)

 -- Markus Koschany <apo@debian.org>  Wed, 15 Mar 2017 21:48:55 +0100

dopewars (1.5.12-17) unstable; urgency=medium

  * Team upload.
  * Vcs-Git: Use https.
  * Declare compliance with Debian Policy 3.9.7.
  * Add m4_copy-error.patch and fix m4_copy error when running aclocal.
    Thanks to Chris Lamb for the report. (Closes: #819619)

 -- Markus Koschany <apo@debian.org>  Thu, 31 Mar 2016 16:44:11 +0200

dopewars (1.5.12-16) unstable; urgency=medium

  * Team upload.
  * Make dh_fixperms override arch only.
    Fixes FTBFS when only building the arch-indep target.
    Thanks to Andreas Beckmann for the report. (Closes: #804306)

 -- Markus Koschany <apo@debian.org>  Sat, 07 Nov 2015 14:47:15 +0100

dopewars (1.5.12-15) unstable; urgency=medium

  * Team upload.
  * Update dopewars.menu. Add icon entries.
  * Add and install dopewars.xpm icon. (Closes: #726217)
  * Update dopewars.desktop.patch.
     - Add keywords.
     - Remove deprecated category Applications.
  * Use canonical VCS-fields.
  * Declare compliance with Debian Policy 3.9.6.

 -- Markus Koschany <apo@debian.org>  Thu, 05 Nov 2015 22:41:38 +0100

=== debian/control ===
Source: dopewars
Section: games
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libcurl4-gnutls-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libncurses5-dev,
 libsdl2-mixer-dev,
 libsdl2-dev,
 pkg-config
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Dean Evans <dean@codemonkies.net>
Standards-Version: 4.6.1
Homepage: http://dopewars.sourceforge.net
Vcs-Git: https://salsa.debian.org/games-team/dopewars.git
Vcs-Browser: https://salsa.debian.org/games-team/dopewars
Rules-Requires-Root: binary-targets

Package: dopewars
Architecture: any
Depends:
 dopewars-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
 sensible-utils
Description: drug-dealing game set in streets of New York City
 UNIX rewrite of the MS-DOS program of the same name, which in turn was
 inspired by John E. Dell's "Drug Wars" game. You have one month to buy and
 sell drugs on the streets of New York, the aim being first to pay off your
 debt to the loan shark and then to make a fortune. And if you have to shoot
 a few cops in the process, well... The game includes TCP networking allowing
 you to meet (and shoot) other human drug dealers.

Package: dopewars-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: drug-dealing game set in streets of New York City - data files
 UNIX rewrite of the MS-DOS program of the same name, which in turn was
 inspired by John E. Dell's "Drug Wars" game. You have one month to buy and
 sell drugs on the streets of New York, the aim being first to pay off your
 debt to the loan shark and then to make a fortune. And if you have to shoot
 a few cops in the process, well... The game includes TCP networking allowing
 you to meet (and shoot) other human drug dealers.
 .
 This package contains the required data files common to all architectures.

## dopewars 1.6.2

=== debian/changelog ===
dopewars (1.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - convert .desktop file to UTF-8 (Closes: #1010741)
  * Bump Standards-Version to 4.6.2.
  * Replace obsolete build dependency: libncurses5-dev => libncurses-dev.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 25 Jun 2023 17:20:34 +0200

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --datadir=/usr/share --bindir=/usr/games --localstatedir=/var/games --libdir=/usr/lib --libexecdir=/usr/lib --without-esd

execute_before_dh_autoreconf:
	cp -f $(shell automake --print-libdir)/mkinstalldirs .

execute_before_dh_autoreconf_clean:
	rm -f mkinstalldirs

execute_after_dh_install:
	rm -f $(CURDIR)/debian/dopewars-data/usr/share/doc/dopewars/html/LICENCE
	rm -rf $(CURDIR)/debian/dopewars/var
	rm -f $(CURDIR)/debian/tmp/var/games/dopewars.sco

execute_after_dh_fixperms-arch:
	chgrp games $(CURDIR)/debian/dopewars/usr/games/dopewars
	chmod 2755 $(CURDIR)/debian/dopewars/usr/games/dopewars

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/dopewars

=== debian/watch ===
version=4
http://sf.net/dopewars/dopewars-@ANY_VERSION@@ARCHIVE_EXT@
